Name:       parsidora-logos
Version:    16.0.0
Release:    1%{?dist}
Summary:    Parsidora Icons and pictures

Group:      System Environment/Base
URL:        http://parsidora.ir/
Source0:    http://downloads.sourceforge.net/parsidora/%{name}-%{version}.tar.bz2
#The KDE Logo is under a LGPL license (no version statement)
License:    GPLv2 and LGPLv2+
BuildArch:  noarch

Obsoletes:  redhat-logos
Obsoletes:  gnome-logos
Provides:   redhat-logos = %{version}-%{release}
Provides:   system-logos = %{version}-%{release}
Provides:   gnome-logos = %{version}-%{release}

Conflicts:  kdebase <= 3.1.5
Conflicts:  anaconda-images <= 10
Conflicts:  redhat-artwork <= 5.0.5
Conflicts:  generic-logos
Conflicts:  fedora-logos

# For splashtolss.sh
BuildRequires: syslinux-perl, netpbm-progs
BuildRequires: hardlink
# For _kde4_* macros:
BuildRequires: kde-filesystem
# For generating the EFI icon
BuildRequires: ImageMagick
BuildRequires: libicns-utils
Requires(post): coreutils


%description
This package contains various image files which will be used by the bootloader,
anaconda, and other related tools in Parsidora replacing fedora-logos package.

%prep
%setup -q

%build
make bootloader/fedora.icns

%install
# should be ifarch i386
mkdir -p %{buildroot}/boot/grub
install -p -m 644 -D bootloader/splash.xpm.gz %{buildroot}/boot/grub/splash.xpm.gz
# end i386 bits

mkdir -p %{buildroot}%{_datadir}/firstboot/themes/parsidora
for i in firstboot/* ; do
  install -p -m 644 $i %{buildroot}%{_datadir}/firstboot/themes/parsidora
done

mkdir -p %{buildroot}%{_datadir}/pixmaps/bootloader
install -p -m 644 bootloader/fedora.icns %{buildroot}%{_datadir}/pixmaps/bootloader

mkdir -p %{buildroot}%{_datadir}/pixmaps/splash
for i in gnome-splash/* ; do
  install -p -m 644 $i %{buildroot}%{_datadir}/pixmaps/splash
done

mkdir -p %{buildroot}%{_datadir}/pixmaps
for i in pixmaps/* ; do
  install -p -m 644 $i %{buildroot}%{_datadir}/pixmaps
done

mkdir -p %{buildroot}%{_kde4_iconsdir}/oxygen/48x48/apps/
install -p -m 644 icons/Fedora/48x48/apps/* %{buildroot}%{_kde4_iconsdir}/oxygen/48x48/apps/
mkdir -p %{buildroot}%{_kde4_iconsdir}/oxygen/scalable/apps/
install -p -m 644 icons/Fedora/scalable/apps/* %{buildroot}%{_kde4_iconsdir}/oxygen/48x48/apps/
mkdir -p %{buildroot}%{_kde4_appsdir}/ksplash/Themes/Leonidas/2048x1536
install -p -m 644 ksplash/SolarComet-kde.png %{buildroot}%{_kde4_appsdir}/ksplash/Themes/Leonidas/2048x1536/logo.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge/
for i in plymouth/charge/* ; do
    install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge/
done

# File or directory names do not count as trademark infringement
for size in 16x16 22x22 24x24 32x32 36x36 48x48 96x96 256x256 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/$size/apps
  for i in icons/hicolor/$size/apps/* ; do
    install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
    pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/$size/apps
    ln -s ../../../hicolor/$size/apps/fedora-logo-icon.png icon-panel-menu.png
    ln -s ../../../hicolor/$size/apps/fedora-logo-icon.png gnome-main-menu.png
    ln -s ../../../hicolor/$size/apps/fedora-logo-icon.png kmenu.png
    ln -s ../../../hicolor/$size/apps/fedora-logo-icon.png start-here.png
    popd
  done
done

mkdir -p %{buildroot}%{_datadir}/icons/Fedora/48x48/apps/
mkdir -p %{buildroot}%{_datadir}/icons/Fedora/scalable/apps/
install -p -m 644 icons/Fedora/48x48/apps/* %{buildroot}%{_datadir}/icons/Fedora/48x48/apps/
install -p -m 644 icons/Fedora/scalable/apps/* %{buildroot}%{_datadir}/icons/Fedora/scalable/apps/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
pushd $RPM_BUILD_ROOT%{_sysconfdir}
ln -s %{_datadir}/icons/hicolor/16x16/apps/fedora-logo-icon.png favicon.png
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 icons/hicolor/scalable/apps/xfce4_xicon1.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 icons/hicolor/scalable/apps/fedora-logo-icon.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/start-here.svg

(cd anaconda; make DESTDIR=%{buildroot} install)

for i in 16 22 24 32 36 48 96 256 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/Fedora/${i}x${i}/places
  install -p -m 644 -D $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/apps/fedora-logo-icon.png $RPM_BUILD_ROOT%{_datadir}/icons/Fedora/${i}x${i}/places/start-here.png
  install -p -m 644 -D $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/apps/fedora-logo-icon.png $RPM_BUILD_ROOT%{_kde4_iconsdir}/oxygen/${i}x${i}/places/start-here-kde-fedora.png 
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/Fedora/scalable/places/
pushd $RPM_BUILD_ROOT%{_datadir}/icons/Fedora/scalable/places/
ln -s ../../../hicolor/scalable/apps/start-here.svg .
popd

# save some dup'd icons
/usr/sbin/hardlink -v %{buildroot}/

%post
touch --no-create %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/Fedora || :
touch --no-create %{_kde4_iconsdir}/oxygen ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/Fedora || :
touch --no-create %{_kde4_iconsdir}/oxygen ||:
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  if [ -f %{_datadir}/icons/hicolor/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
  fi
  if [ -f %{_datadir}/icons/Fedora/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/Fedora || :
  fi
  if [ -f %{_kde4_iconsdir}/oxygen/index.theme ]; then
    gtk-update-icon-cache --quiet %{_kde4_iconsdir}/oxygen/index.theme || :
  fi
fi
fi

%posttrans
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  if [ -f %{_datadir}/icons/hicolor/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
  fi
  if [ -f %{_datadir}/icons/Fedora/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/Fedora || :
  fi
  if [ -f %{_kde4_iconsdir}/oxygen/index.theme ]; then
    gtk-update-icon-cache --quiet %{_kde4_iconsdir}/oxygen/index.theme || :
  fi
fi


%files
%doc COPYING COPYING-kde-logo README
%config(noreplace) %{_sysconfdir}/favicon.png
%{_datadir}/firstboot/themes/*
%{_datadir}/anaconda/boot/*
%{_datadir}/anaconda/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/Fedora/*/apps/*
%{_datadir}/icons/Bluecurve/*/apps/*
%{_datadir}/icons/Fedora/*/places/*
%{_datadir}/pixmaps/*
%{_datadir}/plymouth/themes/charge/*
%{_kde4_appsdir}/ksplash/Themes/Leonidas/2048x1536/logo.png
%{_kde4_iconsdir}/oxygen/

# we multi-own these directories, so as not to require the packages that
# provide them, thereby dragging in excess dependencies.
%dir %{_datadir}/icons/Bluecurve
%dir %{_datadir}/icons/Fedora
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/anaconda
%dir %{_datadir}/anaconda/boot/
%dir %{_datadir}/anaconda/pixmaps/
%dir %{_datadir}/firstboot/
%dir %{_datadir}/firstboot/themes/
%dir %{_datadir}/plymouth/
%dir %{_datadir}/plymouth/themes/
%dir %{_kde4_sharedir}/kde4/
%dir %{_kde4_appsdir}
%dir %{_kde4_appsdir}/ksplash
%dir %{_kde4_appsdir}/ksplash/Themes
%dir %{_kde4_appsdir}/ksplash/Themes/Leonidas/
%dir %{_kde4_appsdir}/ksplash/Themes/Leonidas/2048x1536

# should be ifarch i386
/boot/grub/splash.xpm.gz
# end i386 bits

%changelog
* Tue Dec 20 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 16.0.0-1
- Updated for Parsidora 16

* Thu Jul 21 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15.0.0-1
- Updated for Parsidora 15 using generic-logos and fedora-logos for Fedora 15

* Tue Jan 04 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 14.0.2-1
- Building with new plymouth theme

* Thu Dec 09 2010 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 14.0.1-1
- multi-own some directories - from fedora-logos package (hedayat)
- More compatible with fedora-logos (hedayat)
- Added favicon to spec (hedayat)
- Added some missing directories (hedayat)
- Do no use hardlink as we probably do not have duplicates (hedayat)
- Added hicolor icons (hedayat)

* Fri Nov 19 2010 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 14.0.1-1pre
- Synched with generic-logos 14.0.1-1 and prepared fro 14 release

* Sun Jul 04 2010 Hedayat Vatankhah <hedayat@grad.com> - 13.0-2
- Do not overwrite progress_first.png
- Added a splash-small.png for firstboot
- Added a plymouth theme

* Sat May 15 2010 Hedayat Vatankhah <hedayat@grad.com> - 13.0-1
- Updated for Fedora 13

* Tue Jan 26 2010 Hedayat Vatankhah <hedayat@grad.com> - 12.2-1
- Initial version. Forked from generic-logos-12.2-2 package
